<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__spi__enums" kind="group">
    <compoundname>group_scb_spi_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__scb__spi__enums_1ga8ad22e7a296b64de0d41c983979d53b3" kind="enum" prot="public" static="no">
        <name>cy_en_scb_spi_status_t</name>
        <enumvalue id="group__group__scb__spi__enums_1gga8ad22e7a296b64de0d41c983979d53b3ad7036b570f840ea89926dedc9e2c5f82" prot="public">
          <name>CY_SCB_SPI_SUCCESS</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Operation completed successfully. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga8ad22e7a296b64de0d41c983979d53b3a1a3313375356ef9bf9e5c08dbacf63fa" prot="public">
          <name>CY_SCB_SPI_BAD_PARAM</name>
          <initializer>= (CY_SCB_ID | CY_PDL_STATUS_ERROR | CY_SCB_SPI_ID | 1U)</initializer>
          <briefdescription>
<para>One or more of input parameters are invalid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga8ad22e7a296b64de0d41c983979d53b3a569ccb2fb42dc29fa050215d390c3f00" prot="public">
          <name>CY_SCB_SPI_TRANSFER_BUSY</name>
          <initializer>= (CY_SCB_ID | CY_PDL_STATUS_ERROR | CY_SCB_SPI_ID | 2U)</initializer>
          <briefdescription>
<para>SPI is busy processing a transfer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_spi_status_t: </bold><linebreak />SPI status codes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="322" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="310" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="311" />
      </memberdef>
      <memberdef id="group__group__scb__spi__enums_1ga931ca8a003e3da524aadd562945d3ab5" kind="enum" prot="public" static="no">
        <name>cy_en_scb_spi_mode_t</name>
        <enumvalue id="group__group__scb__spi__enums_1gga931ca8a003e3da524aadd562945d3ab5a6b016365095f773e900be90867db0976" prot="public">
          <name>CY_SCB_SPI_SLAVE</name>
          <briefdescription>
<para>Configures SCB for SPI Slave operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga931ca8a003e3da524aadd562945d3ab5aac0d1cba1a96754415d7457a35cf6510" prot="public">
          <name>CY_SCB_SPI_MASTER</name>
          <briefdescription>
<para>Configures SCB for SPI Master operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_spi_mode_t: </bold><linebreak />SPI Modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="329" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="325" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="326" />
      </memberdef>
      <memberdef id="group__group__scb__spi__enums_1ga1410916a9c76b0d86eb196b8e9ed547f" kind="enum" prot="public" static="no">
        <name>cy_en_scb_spi_sub_mode_t</name>
        <enumvalue id="group__group__scb__spi__enums_1gga1410916a9c76b0d86eb196b8e9ed547fa62fab87ba422296db9c490c3b74830ab" prot="public">
          <name>CY_SCB_SPI_MOTOROLA</name>
          <initializer>= 0x0U</initializer>
          <briefdescription>
<para>Configures an SPI for a standard Motorola SPI operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga1410916a9c76b0d86eb196b8e9ed547fa9299c3864fcb4b4ada81b134855bf907" prot="public">
          <name>CY_SCB_SPI_TI_COINCIDES</name>
          <initializer>= 0x01U</initializer>
          <briefdescription>
<para>Configures the SPI for the TI SPI operation. </para>          </briefdescription>
          <detaileddescription>
<para>In the TI mode, the slave select is a pulse. In this case, the pulse coincides with the first bit. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga1410916a9c76b0d86eb196b8e9ed547fabfa2d99c3ac1ee80fee0f8efabb4f41a" prot="public">
          <name>CY_SCB_SPI_NATIONAL</name>
          <initializer>= 0x02U</initializer>
          <briefdescription>
<para>Configures an SPI for the National SPI operation. </para>          </briefdescription>
          <detaileddescription>
<para>This is a half-duplex mode of operation. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga1410916a9c76b0d86eb196b8e9ed547fa5cfedb0fd7f243068eea8121e8c30d8f" prot="public">
          <name>CY_SCB_SPI_TI_PRECEDES</name>
          <initializer>= 0x05U</initializer>
          <briefdescription>
<para>Configures an SPI for the TI SPI operation, in the TI mode. </para>          </briefdescription>
          <detaileddescription>
<para>The slave select is a pulse. In this case the pulse precedes the first bit. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_spi_sub_mode_t: </bold><linebreak />SPI Submodes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="354" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="332" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="333" />
      </memberdef>
      <memberdef id="group__group__scb__spi__enums_1gab34eae51343cebfec7c447a573cdf0ba" kind="enum" prot="public" static="no">
        <name>cy_en_scb_spi_sclk_mode_t</name>
        <enumvalue id="group__group__scb__spi__enums_1ggab34eae51343cebfec7c447a573cdf0baac7839625f0402b7b9685f3fc2c8a2305" prot="public">
          <name>CY_SCB_SPI_CPHA0_CPOL0</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Clock is active low, data is changed on first edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1ggab34eae51343cebfec7c447a573cdf0baa71d20992e8e321b4268c6cccc2cc0738" prot="public">
          <name>CY_SCB_SPI_CPHA1_CPOL0</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Clock is active low, data is changed on second edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1ggab34eae51343cebfec7c447a573cdf0baa289dac3f3c2ddf5ef59bf4f99ab2a24f" prot="public">
          <name>CY_SCB_SPI_CPHA0_CPOL1</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Clock is active high, data is changed on first edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1ggab34eae51343cebfec7c447a573cdf0baa56619307737b0b4783c3d1cbaae61d5b" prot="public">
          <name>CY_SCB_SPI_CPHA1_CPOL1</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Clock is active high, data is changed on second edge. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_spi_sclk_mode_t: </bold><linebreak />SPI SCLK Modes.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="363" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="357" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="358" />
      </memberdef>
      <memberdef id="group__group__scb__spi__enums_1ga65ae7c131e5e5cae3327aeb6ac870488" kind="enum" prot="public" static="no">
        <name>cy_en_scb_spi_slave_select_t</name>
        <enumvalue id="group__group__scb__spi__enums_1gga65ae7c131e5e5cae3327aeb6ac870488ac079cf67f8f5dd8df4feed6930320972" prot="public">
          <name>CY_SCB_SPI_SLAVE_SELECT0</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Master will use Slave Select 0. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga65ae7c131e5e5cae3327aeb6ac870488a1be5d3d71d16598068cc8060a0e50226" prot="public">
          <name>CY_SCB_SPI_SLAVE_SELECT1</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Master will use Slave Select 1. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga65ae7c131e5e5cae3327aeb6ac870488a257bc8b4d7ee69e7ed1e1b8858e980b7" prot="public">
          <name>CY_SCB_SPI_SLAVE_SELECT2</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Master will use Slave Select 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1gga65ae7c131e5e5cae3327aeb6ac870488ab083e4f8e0d1d57aa6bb9bb03b399df8" prot="public">
          <name>CY_SCB_SPI_SLAVE_SELECT3</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Master will use Slave Select 3. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_spi_slave_select_t: </bold><linebreak />SPI Slave Selects.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="372" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="366" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="367" />
      </memberdef>
      <memberdef id="group__group__scb__spi__enums_1gac1d52a37938101b62b908fb4263d98a2" kind="enum" prot="public" static="no">
        <name>cy_en_scb_spi_polarity_t</name>
        <enumvalue id="group__group__scb__spi__enums_1ggac1d52a37938101b62b908fb4263d98a2ab36d0ae32e47bb37ec614d9bc58b7198" prot="public">
          <name>CY_SCB_SPI_ACTIVE_LOW</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Signal in question is active low. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__scb__spi__enums_1ggac1d52a37938101b62b908fb4263d98a2af3a855a8dbc2b78dc411c2028cd463e6" prot="public">
          <name>CY_SCB_SPI_ACTIVE_HIGH</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Signal in question is active high. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_scb_spi_polarity_t: </bold><linebreak />SPI Polarity.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="379" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="375" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="376" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>